首页 > nginx技巧 > 更新nginx或者其他软件提示doesn’t support architecture ‘i386’

更新nginx或者其他软件提示doesn’t support architecture ‘i386’

2019年5月24日 发表评论 阅读评论

在安装nginx或者其他软件的时候可能会提醒nginx doesn’t support architecture ‘i386’

这个问题通过google搜索,可以得到解决:

Edit /etc/apt/sources.list.d/nginx.list

Change:
deb http://nginx.org/packages/ubuntu/ bionic nginx
deb-src http://nginx.org/packages/ubuntu/ bionic nginx

To:
deb [arch=amd64] http://nginx.org/packages/ubuntu/ bionic nginx
deb-src http://nginx.org/packages/ubuntu/ bionic nginx

Doing another apt-get update after this change it worked fine.

参考链接:https://www.lightnetics.com/topic/16739/n-skipping-acquire-of-configured-file-nginx-binary-i386-packages-as-repository-http-nginx-org-packages-ubuntu-bionic-inrelease

参考链接:https://askubuntu.com/questions/1023009/repository-http-miktex-org-download-ubuntu-xenial-inrelease-doesnt-support?noredirect=1&lq=1

分类: nginx技巧 标签:
  1. 本文目前尚无任何评论.
您必须在 登录 后才能发布评论.
css.php